declare namespace _default {
    let mixins: {
        mixins: {
            methods: {
                changeRouteQuery({ filterQuery, value }: {
                    filterQuery: any;
                    value: any;
                }): any;
                setValueToQuery({ filterQuery, value, storedProp }: {
                    filterQuery: any;
                    value: any;
                    storedProp?: string;
                }): Promise<void>;
                getValueFromQuery({ filterQuery }: {
                    filterQuery: any;
                }): any;
            };
        }[];
        props: {
            namespace: {
                type: StringConstructor;
                description: string;
            };
        };
        created(): void;
        computed: {
            filterSchema(): any;
            value(): any;
        };
        methods: {
            restore({ filterQuery }: {
                filterQuery: any;
            }): void;
            setValue(payload: any): any;
        };
    }[];
    namespace computed {
        function locale(): any;
        function storedProp(): any;
        function multiple(): any;
        function closeOnSelect(): any;
        function label(): any;
    }
    namespace methods {
        function restoreValue(id: any): Promise<void>;
        function fetchSelected(): void;
    }
}
export default _default;
